From 13213b7a85cc1b5dcac0848bb664f34d463ac7e7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 24 2020 14:51:27 +0000
Subject: [PATCH 920/2232] Simplify parsing of include flags


---

diff --git a/gen/cmd/src/app.rs b/gen/cmd/src/app.rs
index 7532668..939bb44 100644
--- a/gen/cmd/src/app.rs
+++ b/gen/cmd/src/app.rs
@@ -62,7 +62,9 @@ pub(super) fn from_args() -> Opt {
     let header = matches.is_present(HEADER);
     let include = matches
         .values_of(INCLUDE)
-        .map_or_else(Vec::new, |v| v.map(str::to_owned).collect());
+        .unwrap_or_default()
+        .map(str::to_owned)
+        .collect();
     let output = match matches.value_of_os(OUTPUT) {
         None => Output::Stdout,
         Some(path) if path == "-" => Output::Stdout,

